Subject: Re: Win32 and cygwin
From: "Paul Garceau" <[email-masked]>
To: [email-masked]
Date: Mon, 12 Mar 2001 15:15:48 -0800

On 12 Mar 2001, at 10:16, the Illustrious Earnie Boyd wrote:

> Svein Erling Seldal wrote:
> > 
> > Hello,
> > 
> > I'm going to write an cygwin application which require libbfd.a (and
> > gcc) _AND_ must work against the win32 API directly (device driver
> > interface). Is this possible?

	I do that all the time (work against win32api directly).  I also have 
enabled a POSIX subystem on my NT4 machine.  If you are using NT4, 
consider implementing your POSIX subsystem.  Win9x/me can not support 
POSIX at all w/o special contribution of posix style interface of some 
sort.
	Deductive reasoning leads me to believe that you may also implement 
the POSIX subsystem under WinNT5 and Win2k.

	If anyone is using POSIX subsystem under NT4 or Win2k, could you 
correct this assumption if it needs to be?

	Thanks,

		Paul G.

> > 
> 
> This should be possible; however, you may want to consider contributing
> a POSIX style interface for your problem to the Cygwin core source so
> that everyone else can benefit from it.
> 
> Earnie.
> 
> _________________________________________________________
> Do You Yahoo!?
> Get your free @yahoo.com address at http://mail.yahoo.com
> 
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
> 
> 

Nothing real can be threatened.
    Nothing unreal exists.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple